%define api		0.1
%define major		0
%define girmajor	0.1
%define oname		farstream
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname -d %{oname} %{api}
%define girname		%mklibname %{oname}-gir %{girmajor}

Summary:	An audio/video communications framework
Name:		farstream%{api}
Version:	0.1.2
Release:	%mkrel 3
License:	LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/Farstream
Group:		Networking/Instant messaging
Source0:	http://freedesktop.org/software/farstream/releases/%{oname}/%{oname}-%{version}.tar.xz
Patch0:		farstream-0.1.2-fix_gtk-doc_tags.patch
Patch1:		farstream-0.1.2-gir-dep.patch
Patch2:		farstream-0.1.2-automake-1.13.patch
BuildRequires:	%{_lib}gstreamer-plugins-base0.10-devel
BuildRequires:	%{_lib}nice-devel
BuildRequires:	gstreamer0.10-python-devel
BuildRequires:	python-devel
BuildRequires:  %{_lib}girepository-devel
Requires: glibc >= 2.20

%description
The Farstream (formerly Farsight) project is an effort to create a framework to
deal with all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different streaming
protocols, on the other side it offers an API for clients to use those plugins.

The main target clients for Farstream are Instant Messaging applications. These
applications should be able to use Farstream for all their Audio/Video
conferencing needs without having to worry about any of the lower level
streaming and NAT traversal issues.

%package -n %{libname}
Summary:	Farstream library
Group:		System/Libraries
Obsoletes:	%{_lib}farsight2_0.10

%description -n %{libname}
Shared libraries for %{name}.

%package -n	gstreamer0.10-%{oname}
Summary:	Set of plugins for GStreamer used Audio/Video conferencing
Group:		Sound
Requires:	%{libname} = %{version}-%{release}
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-voip
Obsoletes:	gstreamer0.10-farsight2

%description -n gstreamer0.10-%{oname}
This is a set of plugins for GStreamer that will be used by Farstream
for Audio/Video conferencing.

%package -n   	python-%{oname}
Summary:	Python bindings for %{oname}
Group:		Development/Python
Obsoletes:	python-farsight2

%description -n	python-%{oname}
Python bindings for %{oname}.

%package -n %{develname}
Summary:	Headers of %{name} for development
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}farsight2-devel

%description -n %{develname}
Headers of %{name} for development.

%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-gupnp \
	--with-package-name="pclinuxos %{name}" \
	--with-package-origin="http://www.pclinuxos.com"
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib%{oname}-%{api}.so.%{major}*
%{_libdir}/%{oname}-%{api}/*.so
%{_libdir}/girepository-1.0/Farstream-%{girmajor}.typelib

%files -n gstreamer0.10-%{oname}
%{_libdir}/gstreamer-0.10/*.so
%dir %{_datadir}/%{oname}/%{api}/
%{_datadir}/%{oname}/%{api}/*

%files -n python-%{oname}
%{python_sitearch}/%{oname}.so

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{oname}-libs-0.10/
%doc %{_datadir}/gtk-doc/html/%{oname}-plugins-%{api}/
%{_includedir}/%{oname}-%{api}/
%{_datadir}/gir-1.0/Farstream-%{girmajor}.gir
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_libdir}/lib%{oname}-%{api}.so


%changelog
* Sat Mar 02 2019 tex - 0.1.2-3pclos2019
- rebuild against updates

* Thu Feb 19 2015 bb <bb> 0.1.2-2pclos2015
- rebuild

* Sun Sep 15 2013 pinoc <vogtpet at gmail.com> 0.1.2-1pclos2013
- imported from france
